Bug 495242 - thunderbird/dovecot keeps retrying failing fetch
thunderbird/dovecot keeps retrying failing fetch
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 13:46 EDT by Mads Kiilerich
Modified: 2009-08-19 07:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-19 07:28:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2009-04-10 13:46:20 EDT
Description of problem:

I use thunderbird and connect to a local dovecot with IMAP. 

Apr 10 19:31:28 localhost dovecot: IMAP(mk): FETCH [] for mailbox arkiv/sent-mail-sep-2004-old UID 541 got too little data (copying): 417 vs 427
Apr 10 19:31:28 localhost dovecot: IMAP(mk): Disconnected: Disconnected bytes=119/19747
Apr 10 19:31:28 localhost dovecot: IMAP(mk): FETCH [] for mailbox arkiv/sent-mail-sep-2004-old UID 541 got too little data (copying): 417 vs 427
Apr 10 19:31:29 localhost dovecot: IMAP(mk): Disconnected: Disconnected bytes=119/19747
Apr 10 19:31:29 localhost dovecot: imap-login: Login: user=<mk>, method=PLAIN, rip=127.0.0.1, lip=127.0.0.1, TLS
Apr 10 19:31:29 localhost dovecot: IMAP(mk): FETCH [] for mailbox arkiv/sent-mail-sep-2004-old UID 541 got too little data (copying): 417 vs 427
Apr 10 19:31:29 localhost dovecot: IMAP(mk): Disconnected: Disconnected bytes=119/19747
Apr 10 19:31:29 localhost dovecot: imap-login: Login: user=<mk>, method=PLAIN, rip=127.0.0.1, lip=127.0.0.1, TLS
Apr 10 19:31:29 localhost dovecot: IMAP(mk): FETCH [] for mailbox arkiv/sent-mail-sep-2004-old UID 541 got too little data (copying): 417 vs 427
Apr 10 19:31:29 localhost dovecot: IMAP(mk): Disconnected: Disconnected bytes=119/19747
Apr 10 19:31:29 localhost dovecot: imap-login: Login: user=<mk>, method=PLAIN, rip=127.0.0.1, lip=127.0.0.1, TLS
Apr 10 19:31:29 localhost dovecot: IMAP(mk): FETCH [] for mailbox arkiv/sent-mail-sep-2004-old UID 541 got too little data (copying): 417 vs 427
Apr 10 19:31:29 localhost dovecot: IMAP(mk): Disconnected: Disconnected bytes=119/19747
Apr 10 19:31:29 localhost dovecot: imap-login: Login: user=<mk>, method=PLAIN, rip=127.0.0.1, lip=127.0.0.1, TLS
Apr 10 19:31:29 localhost dovecot: IMAP(mk): FETCH [] for mailbox arkiv/sent-mail-sep-2004-old UID 541 got too little data (copying): 417 vs 427
Apr 10 19:31:29 localhost dovecot: IMAP(mk): Disconnected: Disconnected bytes=119/19747

When navigating to that folder in thunderbird it shows some messages, but keeps "spinning".

So for some reason thunderbird keeps retrying even though dovecot reports an error. That trashes the disc and eats power. Should the issue be addressed in dovecot or in thunderbird? What does the error message mean?

(I recently removed all .msf files in .thunderbird in order to rebuild cache - as adviced on some mozilla-pages. Apparently thunderbird rebuilds the cache in the background, and that can explain why it is trying to connect to this old folder.)

Restarting dovecot while thunderbird was running seemed to solve it. So perhaps dovecot had a problem?


Version-Release number of selected component (if applicable):

thunderbird-3.0-2.1.beta2.fc11.i586
dovecot-1.2-0.rc2.1.fc11.i586
Comment 1 Fedora Admin XMLRPC Client 2009-05-21 09:17:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Michal Hlavinka 2009-05-25 11:03:41 EDT
Hi,

I can see you've reported this against fedora 10 but you has specified rawhide packages. Are you using rawhide packages in F 10 or are you using rawhide system?

Unfortunately I can't answer your question right now. As you can see, both packages are not completely stable versions.

Could you please retest this with newer dovecot package?

You can find new packages here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=98681

Thanks
Comment 3 Bug Zapper 2009-06-09 09:37:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michal Hlavinka 2009-07-29 04:06:13 EDT
ping, any update?

since it was a long time, updated packages for testing (see comment #2) are here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=122511
Comment 5 Michal Hlavinka 2009-08-19 07:28:41 EDT
needinfo for more than a month. closing

Note You need to log in before you can comment on or make changes to this bug.